using SewerStammGen.Shared.Domain;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StammGenerator.ViewModel
{
    public interface IActualState
    {
        event EventHandler? ProjektChanged;
        // TODO: ProjektID set entfernen!
        int ProjektID { get; set; }
        int SchachtID { get; }
        int HaltungID { get; }
        Schacht SelectedSchacht { get; }
        Kanal SelectedHaltung { get; }

        void SetProjekt(Projekt projekt, bool notification = true);
        void SetSchacht(Schacht schacht, bool notification = true);
        void SetHaltung(Kanal haltung, bool notification = true);

        void LoadLastProjekt();
    }
}
